form1.cn
Make a little progress every day

解决:Your CPU supports instructions that this TensorFlow binary was not compiled to use: SSE4.1 SSE4.2 AV

15th of November 2019 Linux tensorflow 685

在执行python程序的时候,报Your CPU supports instructions that this TensorFlow binary was not compiled to use: AVX2 FMA的警告。大概意思是:你的CPU支持AVX扩展,但是你安装的TensorFlow版本无法编译使用。


解决方法:


第一种屏蔽


如果安装的是GPU版本

如果你有一个GPU,你不应该关心AVX的支持,因为大多数昂贵的操作将被分派到一个GPU设备上(除非明确地设置)。在这种情况下,您可以简单地忽略此警告: 

import os 
os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'


如果安装的是CPU版本(pip install tensorflow)

1.在代码中加入如下代码,忽略警告: 

import os 
os.environ['TF_CPP_MIN_LOG_LEVEL'] = '2'


2.编译TensorFlow源码 

如果您没有GPU并且希望尽可能多地利用CPU,那么如果您的CPU支持AVX,AVX2和FMA,则应该从针对CPU优化的源构建tensorflow。在这个问题中已经讨论过这个问题,也是这个GitHub问题。 Tensorflow使用称为bazel的ad-hoc构建系统,构建它并不是那么简单,但肯定是可行的。在此之后,不仅警告消失,tensorflow性能也应该改善。



第二种上官网找正确的安装版本